# Short Volume and Ratio `GET` `https://api.unusualwhales.com/api/shorts/{ticker}/volume-and-ratio` Returns short volume and short ratio data for a ticker. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `close_price` | Stock Close Price | The close stock price of the ticker. | | `market_date` | date | The date for short interest. | | `short_volume` | string | The short volume. | | `short_volume_ratio` | string | The relative ratio of short volume to total volume. | | `total_volume` | string | The total volume. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/shorts/{ticker}/volume-and-ratio" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/shorts/{ticker}/volume-and-ratio", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "close_price": "45.75", "market_date": "2023-04-10", "short_volume": 925000, "short_volume_ratio": "0.14", "total_volume": 6607143 }, { "close_price": "46.23", "market_date": "2023-04-11", "short_volume": 1150000, "short_volume_ratio": "0.15", "total_volume": 7666667 }, { "close_price": "45.92", "market_date": "2023-04-12", "short_volume": 875000, "short_volume_ratio": "0.13", "total_volume": 6730769 }, { "close_price": "46.45", "market_date": "2023-04-13", "short_volume": 1050000, "short_volume_ratio": "0.17", "total_volume": 6176471 } ] } ```